Subject: Re: [PATCH] powerpc: Implement GPIO LIB API on CPM2 Freescale SoC.

From: Jochen Friedrich <[email-masked]>
Date: Thu, 17 Apr 2008 14:46:40 +0200

Hi Laurent,

> BTW, what's the purpose of the shadow data register in the CPM GPIO chip 
> structure ? As the set operation is protected by a spinlock, the only use I 
> can think of is to prevent changing bits in the PDAT register for pins 
> configured as inputs. Is that correct ? If so this should be clearly 
> documented in the code.

It's for pins configured as open drain. See the discussion in:

http://ozlabs.org/pipermail/linuxppc-dev/2008-January/050826.html

Thanks,
Jochen